curl "https://api.truthlocks.com/v1/platform/blog/posts?status=published&category=engineering&limit=10" \
-H "X-API-Key: tl_live_your_api_key"
{
"items": [
{
"id": "bp_550e8400-e29b-41d4-a716-446655440000",
"title": "Introducing attestation batching",
"slug": "introducing-attestation-batching",
"category": "product",
"status": "published",
"tags": ["attestations", "batch"],
"excerpt": "Mint up to 100 attestations in a single API call.",
"cover_image_url": "https://api.truthlocks.com/v1/assets/ast_cover123",
"published_at": "2027-01-20T12:00:00Z",
"created_at": "2027-01-19T10:00:00Z",
"updated_at": "2027-01-20T12:00:00Z"
}
],
"total": 1,
"limit": 50,
"offset": 0
}
Retrieve a paginated list of blog posts with optional status and category filters.
curl "https://api.truthlocks.com/v1/platform/blog/posts?status=published&category=engineering&limit=10" \
-H "X-API-Key: tl_live_your_api_key"
{
"items": [
{
"id": "bp_550e8400-e29b-41d4-a716-446655440000",
"title": "Introducing attestation batching",
"slug": "introducing-attestation-batching",
"category": "product",
"status": "published",
"tags": ["attestations", "batch"],
"excerpt": "Mint up to 100 attestations in a single API call.",
"cover_image_url": "https://api.truthlocks.com/v1/assets/ast_cover123",
"published_at": "2027-01-20T12:00:00Z",
"created_at": "2027-01-19T10:00:00Z",
"updated_at": "2027-01-20T12:00:00Z"
}
],
"total": 1,
"limit": 50,
"offset": 0
}
limit and offset.
draft, published, or archived.engineering, product, security, company, or industry.50.0.{
"items": [
{
"id": "bp_550e8400-e29b-41d4-a716-446655440000",
"title": "Introducing attestation batching",
"slug": "introducing-attestation-batching",
"category": "product",
"status": "published",
"tags": ["attestations", "batch"],
"excerpt": "Mint up to 100 attestations in a single API call.",
"cover_image_url": "https://api.truthlocks.com/v1/assets/ast_cover123",
"published_at": "2027-01-20T12:00:00Z",
"created_at": "2027-01-19T10:00:00Z",
"updated_at": "2027-01-20T12:00:00Z"
}
],
"total": 1,
"limit": 50,
"offset": 0
}
curl "https://api.truthlocks.com/v1/platform/blog/posts?status=published&category=engineering&limit=10" \
-H "X-API-Key: tl_live_your_api_key"